#ifndef IOSPI_INC
#define IOSPI_INC			1
  
#include	<msc_config.h>

// SPI SLOTS FOR APF CONTROLLER
#define RTCSLOT		NMPCS0		// SPI slot for DS3234 RTC	
#define EEPSLOT		NMPCS1		// SPI slot for AT25160B EEPROM	


// SPI FUNCTION PROTOTYPES
void	spiInitRTC(void);
int		spiReadRTCReg(ushort addr);
int		spiWriteRTCReg(ushort addr, ushort wdat);
int		spiReadMultRTCRegs(ushort addr, ushort numRegs, ushort *result);
int		spiWriteMultRTCRegs(ushort addr, ushort numRegs, ushort *wdat);

#endif	




